Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Interface Deployer

All Known Implementing Classes:
  AbstractDeployer, ModuleDeployer, POJODeployer, ServiceDeployer, TransportDeployer

    public interface Deployer

This interface is used to provide the custom deployment mechanism , where you can write your own Deployer to process a particular type and make that to a service or a module.

Method Summary
`void` | `cleanup()` Cleanup deployment
`void` | `deploy(DeploymentFileData deploymentFileData)` Process a file and add it to the configuration
`void` | `init(ConfigurationContext configCtx)` Initialize the Deployer
`void` | `setDirectory(String directory)` Set the directory
`void` | `setExtension(String extension)` Set the extension to look for TODO: Support multiple extensions?
`void` | `undeploy(String fileName)` Remove a given file from the configuration

Method Detail

### init

    void init(ConfigurationContext configCtx)

  Initialize the Deployer

  Parameters:
    `configCtx` - our ConfigurationContext

### deploy

    void deploy(DeploymentFileData deploymentFileData)
                throws DeploymentException

  Process a file and add it to the configuration

  Parameters:
    `deploymentFileData` - the DeploymentFileData object to deploy
  Throws:
    `DeploymentException` - if there is a problem

### setDirectory

    void setDirectory(String directory)

  Set the directory

  Parameters:
    `directory` - directory name

### setExtension

    void setExtension(String extension)

  Set the extension to look for TODO: Support multiple extensions?

  Parameters:
    `extension` - the file extension associated with this Deployer

### undeploy

    void undeploy(String fileName)
                  throws DeploymentException

  Remove a given file from the configuration

  Parameters:
    `fileName` - name of item to remove
  Throws:
    `DeploymentException` - if there is a problem

### cleanup

    void cleanup()
                 throws DeploymentException

  Cleanup deployment

  Throws:
    `DeploymentException` - If an error occurs during cleanup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.